> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/api/community/get-your-communities.md).

# Get your Communities

## Get Communities

<mark style="color:blue;">`GET`</mark> `https://api.whisk.com/community/v2`

You can append the following query parameters to the base URL to pull all your communities:

#### Query Parameters

| Name                  | Type   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| --------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| filters.roles         | array  | <p>Retrieve communities based on your selected roles. You can choose one or more of these supported values:<br>- <code>COMMUNITY\_ROLE\_OWNER</code><br>- <code>COMMUNITY\_ROLE\_ADMIN</code><br>- <code>COMMUNITY\_ROLE\_MEMBER</code><br>- <code>COMMUNITY\_ROLE\_BLOCKED</code><br>- <code>COMMUNITY\_ROLE\_PENDING</code></p>                                                                                                                                                                                                                                           |
| paging.limit          | string | The maximum number of communities to retrieve.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| paging.cursors.after  | string | This parameter is used for cursor-based pagination. It takes a community ID as its value and retrieves only those communities that appear after it in the database.                                                                                                                                                                                                                                                                                                                                                                                                         |
| paging.cursors.before | string | This parameter is used for cursor-based pagination. It takes a community ID as its value and retrieves only those communities that appear before it in the database                                                                                                                                                                                                                                                                                                                                                                                                         |
| fields                | array  | <p>Any additional community details to retrieve. You can choose one or more of these supported values:<br>- <code>COMMUNITY\_FIELD\_DESCRIPTION</code><br>- <code>COMMUNITY\_FIELD\_TOPICS</code><br>- <code>COMMUNITY\_FIELD\_SOCIAL\_SETTINGS</code><br>- <code>COMMUNITY\_FIELD\_PERMISSIONS</code><br>- <code>COMMUNITY\_FIELD\_MEMBERS\_COUNT</code><br>- <code>COMMUNITY\_FIELD\_RECIPES\_COUNT</code><br>- <code>COMMUNITY\_FIELD\_SPONSORED</code><br><br><strong>Note</strong>: For performance reasons, we recommend using this parameter only when required.</p> |

#### Headers

| Name           | Type   | Description                                                                                                               |
| -------------- | ------ | ------------------------------------------------------------------------------------------------------------------------- |
| Authentication | string | User Access token containing `community:read` scope to authorize the API usage. For more information, see Authentication. |

{% tabs %}
{% tab title="200 This is how a successful response looks." %}

```graphql
{
  "communities": [
    {
      "id": "string",
      "name": "string",
      "image": {
        "url": "string",
        "width": 0,
        "height": 0,
        "selection": {
          "x": 0,
          "y": 0,
          "width": 0,
          "height": 0
        }
      },
      "description": "string",
      "topics": [
        {
          "id": "string",
          "display_name": "string"
        }
      ],
      "social_settings": {
        "website_url": "string",
        "instagram_username": "string",
        "youtube_channel_url": "string",
        "tiktok_username": "string"
      },
      "permissions": {
        "role": "COMMUNITY_ROLE_INVALID",
        "mode": "COMMUNITY_CONTRIBUTION_PERMISSION_MODE_INVALID",
        "visibility": "COMMUNITY_VISIBILITY_INVALID"
      },
      "members": {
        "count": 0
      },
      "recipes": {
        "count": 0
      },
      "is_sponsored": true
    }
  ],
  "paging": {
    "cursors": {
      "after": "string",
      "before": "string"
    },
    "total": "string"
  }
}
```

{% endtab %}

{% tab title="400 This failed response appears when error codes are found in the endpoint query." %}

```yaml
{
  "error_code": "REAL_CODES_ARE_IN_ENDPOINT_DESCRIPTION",
  "message": "Additional details about error are not static and can be changed"
}
```

{% endtab %}

{% tab title="401 This failed response appears due to API authentication failure. The possible error codes that may appear are:auth.tokenNotFound, auth.tokenExpired, auth.tokenInvalid, auth.tokenRequired." %}

```yaml
{
  "code": "auth.tokenNotFound"
}
```

{% endtab %}

{% tab title="500 This failed response appears when something is not right on Whisk's end. Please send a message to <help@whisk.com>, and be sure to include both the Request and Response data. We’ll get back to you soon." %}

```yaml
This is unexpected response, something is wrong on our side, please contact: help@whisk.com
```

{% endtab %}
{% endtabs %}

### Sample Request and Response

{% tabs %}
{% tab title="Curl Request" %}

```bash
curl -X GET "https://api.whisk.com/community/v2?filters.roles=COMMUNITY_ROLE_UNSET&filters.roles=COMMUNITY_ROLE_OWNER&filters.roles=COMMUNITY_ROLE_ADMIN&filters.roles=COMMUNITY_ROLE_MEMBER&filters.roles=COMMUNITY_ROLE_BLOCKED&filters.roles=COMMUNITY_ROLE_PENDING&paging.limit=3&fields=COMMUNITY_FIELD_DESCRIPTION&fields=COMMUNITY_FIELD_TOPICS&fields=COMMUNITY_FIELD_SOCIAL_SETTINGS&fields=COMMUNITY_FIELD_PERMISSIONS&fields=COMMUNITY_FIELD_MEMBERS_COUNT&fields=COMMUNITY_FIELD_RECIPES_COUNT&fields=COMMUNITY_FIELD_SPONSORED"
    -H "Accept: application/json"
    -H "Authorization: Bearer <YOUR-API-ACCESS-KEY>"
```

{% hint style="info" %}
**Note**: Whisk allows you to discover and understand its API capabilities on the Swagger interface with the ability to try out the API calls directly in your browser. You can call this endpoint [here](https://api.whisk.com/spec/#/CommunityAPI/CommunityAPI_GetMyCommunities).
{% endhint %}
{% endtab %}

{% tab title="Response" %}

```graphql
{
  "communities": [
    {
      "id": "6cabec8c4b9245d993d641b58a0bb0b8",
      "name": "10 ingredients or less",
      "image": {
        ...
      },
      "description": "Keep that shopping list short!",
      "topics": [
        ...
      ],
      "permissions": {
        ...
      },
      "members": {
        "count": 33137
      },
      "recipes": {
        "count": 319
      }
    },
    {
      "id": "a47801f461a94b50a84dc6a5add03e71",
      "name": "Keto for beginners",
      "image": {
        ...
      },
      "description": "Just getting into Keto? Here are some great places to start",
      "topics": [
        ...
      ],
      "permissions": {
        ...
      },
      "members": {
        "count": 9296
      },
      "recipes": {
        "count": 154
      }
    },
    {
      "id": "afa1b13c188c46b4830adbd3ad8367b2",
      "name": "Indian Recipes",
      "image": {
        ...
      },
      "description": "Everyday Indian food as well as blow-out recipes ",
      "topics": [
        ...
      ],
      "permissions": {
        ...
      },
      "members": {
        "count": 415
      },
      "recipes": {
        "count": 21
      }
    }
  ],
  "paging": {
    "cursors": {
      "after": "eyJpZCI6ImFmYTFiMTNjMTg4YzQ2YjQ4MzBhZGJkM2FkODM2N2IyIiwiaW5kZXgiOjJ9"
    },
    "total": "6"
  }
}
```

{% hint style="info" %}
Note: To understand the data structure of a community definition, see [Community Object](/api/community.md#community-object).
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whisk.com/api/community/get-your-communities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
